#include <bits/stdc++.h>
using namespace std;
bool sortorder(const pair<double,double> &a, const pair<double,double> &b)
{
   return (a.second < b.second);
}
double maxi(double a , double b)
{
    if(a > b)
        return a;

    return b;
}
int main()
{
    int n;
    double a , b,suma=0,zarada=0;
    scanf("%d",&n);
    vector <pair<double, double>> PlateIPorezi (n);
    for(int i =0; i<n;i++)
    {
        scanf("%lf %lf", &a , &b);
        PlateIPorezi[i] = make_pair(a,b);
        suma += a;
    }
    sort(PlateIPorezi.begin(),PlateIPorezi.end(),sortorder);
   for(int i =0; i<n;i++)
    {
        zarada =maxi(zarada , suma * PlateIPorezi[i].second / 100);
        suma -= PlateIPorezi[i].first;
    }
    printf("%f",zarada);
}